From dd3f6344e77b3d0bc2ee9c4f6f909472c5b33db2 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 26 2020 01:02:11 +0000
Subject: [PATCH 396/2232] Fix get_unchecked impl signature to match Rust


---

diff --git a/gen/write.rs b/gen/write.rs
index 3da42b3..2db985c 100644
--- a/gen/write.rs
+++ b/gen/write.rs
@@ -1147,10 +1147,10 @@ fn write_vector(out: &mut OutFile, ident: &Ident) {
 
     writeln!(
         out,
-        "const {} *cxxbridge02$std$vector${}$get_unchecked(const ::std::vector<{}> &s, size_t pos) noexcept {{",
+        "const {} &cxxbridge02$std$vector${}$get_unchecked(const ::std::vector<{}> &s, size_t pos) noexcept {{",
         inner, instance, inner,
     );
-    writeln!(out, "  return &s[pos];");
+    writeln!(out, "  return s[pos];");
     writeln!(out, "}}");
     writeln!(out, "#endif // CXXBRIDGE02_vector_{}", instance);
 }
diff --git a/src/cxx.cc b/src/cxx.cc
index 15f888d..e716aee 100644
--- a/src/cxx.cc
+++ b/src/cxx.cc
@@ -209,9 +209,9 @@ void cxxbridge02$unique_ptr$std$string$drop(
       std::vector<CXX_TYPE> &s, const CXX_TYPE &item) noexcept {               \
     s.push_back(item);                                                         \
   }                                                                            \
-  const CXX_TYPE *cxxbridge02$std$vector$##RUST_TYPE##$get_unchecked(          \
+  const CXX_TYPE &cxxbridge02$std$vector$##RUST_TYPE##$get_unchecked(          \
       const std::vector<CXX_TYPE> &s, size_t pos) noexcept {                   \
-    return &s[pos];                                                            \
+    return s[pos];                                                             \
   }                                                                            \
   static_assert(sizeof(::std::unique_ptr<std::vector<CXX_TYPE>>) ==            \
                     sizeof(void *),                                            \

